#include "Test.h"
#include "Vektor.h"

/** Es wird ein Vektor erzeugt und mit dem Wert 81
gefllt. Anschlieend wird geprft, ob auch jedes
Element den Wert 81 hat.
*/
bool testInit() {
   Vektor v;
   v.dimension=4;
   const int wert=81;
   Init(v, wert);
   for (int i=0; i<v.dimension; ++i)   {
      if (v.daten[i] != wert) {
         return false;
      }
   }
   return true;
}


/** Es werden zwei Vektoren erzeugt und mit 
den Werten 81 und -10 belegt. Nach Aufruf
von Add sollte der ergebnis-Vektor den
Wert 71 enthalten. 
*/
bool testPlus() {
   Vektor v1;
   v1.dimension=4;
   const int wert1=81;
   Init(v1, wert1);

   Vektor v2;
   v2.dimension=4;
   const int wert2= -10;
   Init(v2, wert2);

   Vektor result;
   result.dimension=4;
   Plus(v1,  v2, result);

   for (int i=0; i<result.dimension; ++i)   {
      if (result.daten[i] != (wert1+wert2)) {
         return false;
      }
   }
   return true;
}
